package entity

import "gorm.io/gorm"

type Update struct {
	gorm.Model `json:"model"`
	HashID     string `gorm:"index;not null" json:"hash_id"`
	Comment    string `gorm:"not null;default:'';comment:更新内容或注释" json:"comment"`
	Changes    string `gorm:"not null;comment:更改的文件列表，逗号分隔，引用files(hash_id)" json:"changes"`
}
