package entity

import (
	"gorm.io/gorm"
)

type Instance struct {
	gorm.Model `json:"model"`
	Name       string `gorm:"unique;not null" json:"name"`
	UpdateURL  string `gorm:"column:update_url;not null;default:'';comment:更新URL，未指定使用默认" json:"update_url"`
}
