package entity

import "gorm.io/gorm"

// Token Token是授权给用户的，给予用户登录权限
type Token struct {
	gorm.Model `json:"model"`
	Token      string `gorm:"unique;not null" json:"token"`
	GrantTo    string `gorm:"index;not null;default:''" json:"grant_to"`
	TTL        int    `gorm:"not null;default:0" json:"ttl"`
}
